Managed Hsms - Get Deleted

Gets the specified deleted managed HSM.

GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.KeyVault/locations/{location}/deletedManagedHSMs/{name}?api-version=2021-10-01

URI Parameters

Name In Required Type Description
location
path True
  • string

The location of the deleted managed HSM.

name
path True
  • string

The name of the deleted managed HSM.

subscriptionId
path True
  • string

Subscription credentials which uniquely identify Microsoft Azure subscription. The subscription ID forms part of the URI for every service call.

api-version
query True
  • string

Client Api Version.

Responses

Name Type Description
200 OK

Retrieved information about the specified deleted managed HSM.

Other Status Codes

Error response describing why the operation failed.

Security

azure_auth

Azure Active Directory OAuth2 Flow

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Retrieve a deleted managed HSM

Sample Request

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.KeyVault/locations/westus/deletedManagedHSMs/hsm1?api-version=2021-10-01

Sample Response

{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.KeyVault/locations/westus/deletedManagedHSMs/hsm1",
  "name": "vault-agile-drawer-6404",
  "type": "Microsoft.KeyVault/deletedManagedHSMs",
  "properties": {
    "mhsmId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/hsm-group/providers/Microsoft.KeyVault/managedHSMs/hsm1",
    "location": "westus",
    "deletionDate": "2021-04-01T00:00:59Z",
    "scheduledPurgeDate": "2021-04-01T00:00:59Z",
    "purgeProtectionEnabled": true,
    "tags": {
      "Dept": "hsm",
      "Environment": "production"
    }
  }
}

Definitions

DeletedManagedHsm
DeletedManagedHsmProperties

Properties of the deleted managed HSM.

Error

The server error.

ManagedHsmError

The error exception.

DeletedManagedHsm

Name Type Description
id
  • string

The Azure Resource Manager resource ID for the deleted managed HSM Pool.

name
  • string

The name of the managed HSM Pool.

properties

Properties of the deleted managed HSM

type
  • string

The resource type of the managed HSM Pool.

DeletedManagedHsmProperties

Properties of the deleted managed HSM.

Name Type Description
deletionDate
  • string

The deleted date.

location
  • string

The location of the original managed HSM.

mhsmId
  • string

The resource id of the original managed HSM.

purgeProtectionEnabled
  • boolean

Purge protection status of the original managed HSM.

scheduledPurgeDate
  • string

The scheduled purged date.

tags
  • object

Tags of the original managed HSM.

Error

The server error.

Name Type Description
code
  • string

The error code.

innererror

The inner error, contains a more specific error code.

message
  • string

The error message.

ManagedHsmError

The error exception.

Name Type Description
error

The server error.